diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index d00b187..f17bf4c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -493,7 +493,8 @@ AND relname = typname AND relkind != 'c') AND
 relnamespace=typnamespace AND relname = substring(typname FROM 2)::name
 AND relkind != 'c'))"""
 
-        if self.blueprint.show_system_objects:
+        # To show hidden objects
+        if not self.blueprint.show_system_objects:
             condition += " AND nsp.nspname != 'information_schema'"
 
         # Get Types
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py
index 69e94b1..3993ddc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/utils.py
@@ -93,6 +93,16 @@ class DataTypeReader:
         """
         res = []
         try:
+            # Check if template path is already set or not
+            # if not then we will set the template path here
+            if not hasattr(self, 'data_type_template_path'):
+                self.data_type_template_path = 'datatype/sql/' + (
+                    '#{0}#{1}#'.format(
+                        self.manager.server_type,
+                        self.manager.version
+                    ) if self.manager.server_type == 'gpdb' else
+                    '#{0}#'.format(self.manager.version)
+                )
 
             SQL = render_template(
                 "/".join([self.data_type_template_path,'get_types.sql']),
